/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-08-13
 * 描述            ：质保书打印记录表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmZbsDataPrtMapper;

import org.apache.ibatis.type.JdbcType;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_ZBS_DATA_PRT", namespace=QcmZbsDataPrtMapper.class)
public class QcmZbsDataPrt extends BaseVO implements Serializable {
	/** 
	 * 证明书编号
	 */ 
	@Id
	private String cret_no;
	public String getCret_no() {
		return this.cret_no;
	}
	public void setCret_no(String cret_no) {
		this.cret_no = cret_no;
	}

	/** 
	 * 序号
	 */ 
	@Id
	private Long cret_seq;
	public Long getCret_seq() {
		return this.cret_seq;
	}
	public void setCret_seq(Long cret_seq) {
		this.cret_seq = cret_seq;
	}

	/** 
	 * 质保书(pdf格式)
	 */ 
	@Column(value="CRET_PDF", jdbcType=JdbcType.BLOB)
	private byte[] cret_pdf;
	public byte[] getCret_pdf() {
		return this.cret_pdf;
	}
	public void setCret_pdf(byte[] cret_pdf) {
		this.cret_pdf = cret_pdf;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

}
